import { IgCollection } from "igniteui-angular-core";
import { markType } from "igniteui-angular-core";
import { SyncableObservableCollection$2 } from "igniteui-angular-core";
import { XButton as XButton_internal } from './XButton';
import { IgxXButtonComponent as IgxXButtonComponent } from './igx-x-button-component';
export class IgxXButtonGroupButtonCollection extends IgCollection {
    constructor(list) {
        super();
        if (!IgxXButtonComponent.$type) {
            IgxXButtonComponent.$type = markType(IgxXButtonComponent, "IgxXButtonComponent");
        }
        if (list) {
            for (let i = 0; i < list.length; i++) {
                this.add(list[i]);
            }
        }
    }
    _createInnerColl() {
        if (!IgxXButtonComponent.$type) {
            IgxXButtonComponent.$type = markType(IgxXButtonComponent, "IgxXButtonComponent");
        }
        let coll = new SyncableObservableCollection$2(IgxXButtonComponent.$type, XButton_internal.$type, 0);
        coll.compare = (ext, int) => {
            let comp = ext;
            if (comp._implementation) {
                comp = comp._implementation;
            }
            if (comp.equals) {
                return comp.equals(int);
            }
            return comp === int;
        };
        coll.createTo = (ext) => {
            return ext._implementation;
        };
        coll.createFrom = (int) => {
            let ext = int.externalObject;
            if (!ext) {
                ext = IgxXButtonComponent._createFromInternal(int);
                if (ext) {
                    if (!int.$type && ext._implementation.setNativeElement) {
                        ext._implementation.setNativeElement(int);
                    }
                    else {
                        ext._implementation = int;
                    }
                }
            }
            return ext;
        };
        return coll;
    }
}
