/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE: you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { IgxXButtonDynamicModule } from './igx-x-button-dynamic-module';
import { IgxXIconDynamicModule } from './igx-x-icon-dynamic-module';
import { IgxXCalendarComponent } from './igx-x-calendar-component';
import { XCalendar } from './XCalendar';
import { TypeRegistrar } from "igniteui-angular-core";
import { IgxXCalendarModule } from './igx-x-calendar-module';
import * as i0 from "@angular/core";
export let IgxXCalendarDynamicModule = /*@__PURE__*/ (() => {
    class IgxXCalendarDynamicModule {
        constructor() {
            TypeRegistrar.registerCons('XCalendar', XCalendar);
            TypeRegistrar.registerCons('IgxXCalendarComponent', IgxXCalendarComponent);
            TypeRegistrar.register('XCalendar', XCalendar.$type);
        }
    }
    IgxXCalendarDynamicModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.17", ngImport: i0, type: IgxXCalendarDynamicModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    IgxXCalendarDynamicModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.2.17", ngImport: i0, type: IgxXCalendarDynamicModule, imports: [CommonModule, IgxXButtonDynamicModule,
            IgxXIconDynamicModule,
            IgxXCalendarModule], exports: [IgxXButtonDynamicModule,
            IgxXIconDynamicModule,
            IgxXCalendarModule] });
    IgxXCalendarDynamicModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.2.17", ngImport: i0, type: IgxXCalendarDynamicModule, imports: [[CommonModule, IgxXButtonDynamicModule,
                IgxXIconDynamicModule,
                IgxXCalendarModule
            ], IgxXButtonDynamicModule,
            IgxXIconDynamicModule,
            IgxXCalendarModule] });
    return IgxXCalendarDynamicModule;
})();
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.17", ngImport: i0, type: IgxXCalendarDynamicModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [],
                    exports: [IgxXButtonDynamicModule,
                        IgxXIconDynamicModule,
                        IgxXCalendarModule
                    ],
                    imports: [CommonModule, IgxXButtonDynamicModule,
                        IgxXIconDynamicModule,
                        IgxXCalendarModule
                    ],
                    entryComponents: [IgxXCalendarComponent]
                }]
        }], ctorParameters: function () { return []; } });
