/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE: you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { IgxXCalendarDynamicModule } from './igx-x-calendar-dynamic-module';
import { IgxXButtonDynamicModule } from './igx-x-button-dynamic-module';
import { IgxXIconDynamicModule } from './igx-x-icon-dynamic-module';
import { IgxXInputGroupDynamicModule } from './igx-x-input-group-dynamic-module';
import { IgxDatePickerComponent } from './igx-date-picker-component';
import { DatePicker } from './DatePicker';
import { TypeRegistrar } from "igniteui-angular-core";
import { IgxDatePickerModule } from './igx-date-picker-module';
import * as i0 from "@angular/core";
var IgxDatePickerDynamicModule = /** @class */ /*@__PURE__*/ (function () {
    function IgxDatePickerDynamicModule() {
        TypeRegistrar.registerCons('DatePicker', DatePicker);
        TypeRegistrar.registerCons('IgxDatePickerComponent', IgxDatePickerComponent);
        TypeRegistrar.register('DatePicker', DatePicker.$type);
    }
    IgxDatePickerDynamicModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.17", ngImport: i0, type: IgxDatePickerDynamicModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    IgxDatePickerDynamicModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.2.17", ngImport: i0, type: IgxDatePickerDynamicModule, imports: [CommonModule, IgxXCalendarDynamicModule,
            IgxXButtonDynamicModule,
            IgxXIconDynamicModule,
            IgxXInputGroupDynamicModule,
            IgxDatePickerModule], exports: [IgxXCalendarDynamicModule,
            IgxXButtonDynamicModule,
            IgxXIconDynamicModule,
            IgxXInputGroupDynamicModule,
            IgxDatePickerModule] });
    IgxDatePickerDynamicModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.2.17", ngImport: i0, type: IgxDatePickerDynamicModule, imports: [[CommonModule, IgxXCalendarDynamicModule,
                IgxXButtonDynamicModule,
                IgxXIconDynamicModule,
                IgxXInputGroupDynamicModule,
                IgxDatePickerModule
            ], IgxXCalendarDynamicModule,
            IgxXButtonDynamicModule,
            IgxXIconDynamicModule,
            IgxXInputGroupDynamicModule,
            IgxDatePickerModule] });
    return IgxDatePickerDynamicModule;
}());
export { IgxDatePickerDynamicModule };
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.17", ngImport: i0, type: IgxDatePickerDynamicModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [],
                    exports: [IgxXCalendarDynamicModule,
                        IgxXButtonDynamicModule,
                        IgxXIconDynamicModule,
                        IgxXInputGroupDynamicModule,
                        IgxDatePickerModule
                    ],
                    imports: [CommonModule, IgxXCalendarDynamicModule,
                        IgxXButtonDynamicModule,
                        IgxXIconDynamicModule,
                        IgxXInputGroupDynamicModule,
                        IgxDatePickerModule
                    ],
                    entryComponents: [IgxDatePickerComponent]
                }]
        }], ctorParameters: function () { return []; } });
