import { InputChangeEventArgs as InputChangeEventArgs_internal } from "./InputChangeEventArgs";
import { ensureBool } from "igniteui-angular-core";
var IgxInputChangeEventArgs = /** @class */ /*@__PURE__*/ (function () {
    function IgxInputChangeEventArgs() {
        this._implementation = this.createImplementation();
        this._implementation.externalObject = this;
        this.onImplementationCreated();
        if (this._initializeAdapters) {
            this._initializeAdapters();
        }
    }
    IgxInputChangeEventArgs.prototype.createImplementation = function () {
        return new InputChangeEventArgs_internal();
    };
    Object.defineProperty(IgxInputChangeEventArgs.prototype, "i", {
        /**
         * @hidden
         */
        get: function () {
            return this._implementation;
        },
        enumerable: false,
        configurable: true
    });
    IgxInputChangeEventArgs.prototype.onImplementationCreated = function () {
    };
    IgxInputChangeEventArgs.prototype._provideImplementation = function (i) {
        this._implementation = i;
        this._implementation.externalObject = this;
        this.onImplementationCreated();
    };
    Object.defineProperty(IgxInputChangeEventArgs.prototype, "value", {
        get: function () {
            return this.i.value;
        },
        set: function (v) {
            this.i.value = v;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(IgxInputChangeEventArgs.prototype, "isCompositionInProgress", {
        get: function () {
            return this.i.isCompositionInProgress;
        },
        set: function (v) {
            this.i.isCompositionInProgress = ensureBool(v);
        },
        enumerable: false,
        configurable: true
    });
    return IgxInputChangeEventArgs;
}());
export { IgxInputChangeEventArgs };
