import { OnInit } from '@angular/core';
import { XInputGroupItem } from "./XInputGroupItem";
import * as i0 from "@angular/core";
export declare abstract class IgxXInputGroupItemComponent implements OnInit {
    protected createImplementation(): XInputGroupItem;
    ngOnInit(): void;
    protected _implementation: any;
    /**
     * @hidden
     */
    get i(): XInputGroupItem; /**
                                 * @hidden
                                 */
    static _createFromInternal(internal: any): IgxXInputGroupItemComponent;
    private onImplementationCreated;
    constructor();
    /**
     * Gets or sets name to use for the button.
    */
    get name(): string;
    set name(v: string);
    findByName(name: string): any;
    protected __p: string;
    protected _hasUserValues: Set<string>;
    protected get hasUserValues(): Set<string>;
    protected __m(propertyName: string): void;
    protected _stylingContainer: any;
    protected _stylingParent: any;
    protected _inStyling: boolean;
    protected _styling(container: any, component: any, parent?: any): void;
    protected _zoneRunner: (act: () => void) => void;
    protected _runInZone(act: () => void): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<IgxXInputGroupItemComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<IgxXInputGroupItemComponent, "ng-component", never, { "name": "name"; }, {}, never, never>;
}
