import { TemplateRef, ViewContainerRef, Injector, ComponentFactoryResolver, AfterViewInit, Renderer2, NgZone } from '@angular/core';
import { XSuffix } from "./XSuffix";
import { IgxXInputGroupItemComponent } from './igx-x-input-group-item-component';
import * as i0 from "@angular/core";
export declare class IgxXSuffixComponent extends IgxXInputGroupItemComponent implements AfterViewInit {
    private renderer;
    private _elRef;
    private ngZone;
    private injector;
    private componentFactoryResolver;
    container: Element;
    private _wrapper;
    private _portalManager;
    private _root;
    _dynamicContent: ViewContainerRef;
    _childTemplateRef: TemplateRef<any>;
    constructor(renderer: Renderer2, _elRef: ViewContainerRef, ngZone: NgZone, injector: Injector, componentFactoryResolver: ComponentFactoryResolver);
    updateStyle(): void;
    ngOnDestroy(): void;
    ngAfterViewInit(): void;
    protected createImplementation(): XSuffix;
    get i(): XSuffix;
    private _suffix;
    /**
 * Gets or sets the id to use for the checkbox.
*/
    get id(): string;
    set id(v: string);
    /**
     * Gets or sets the value of the aria-label attribute.
    */
    get ariaLabel(): string;
    set ariaLabel(v: string);
    /**
     * Gets or sets whether the suffix is hovered.
    */
    get isHover(): boolean;
    set isHover(v: boolean);
    static ngAcceptInputType_isHover: boolean | string;
    /**
     * Gets or sets whether the checkbox is disabled.
    */
    get disabled(): boolean;
    set disabled(v: boolean);
    static ngAcceptInputType_disabled: boolean | string;
    onDetachedFromUI(): void;
    onAttachedToUI(): void;
    /**
     * Exports visual information about the current state of the grid.
    
    */
    exportVisualModel(): any;
    /**
     * Returns a serialized copy of the exported visual model
    
    */
    exportSerializedVisualModel(): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<IgxXSuffixComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<IgxXSuffixComponent, "igx-x-suffix", never, { "id": "id"; "ariaLabel": "aria-label"; "isHover": "isHover"; "disabled": "disabled"; }, {}, never, ["*"]>;
}
