/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE: you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { IgxXCalendarModule } from './igx-x-calendar-module';
import { IgxXButtonModule } from './igx-x-button-module';
import { IgxXIconModule } from './igx-x-icon-module';
import { IgxXInputGroupModule } from './igx-x-input-group-module';
import { IgxDatePickerComponent } from './igx-date-picker-component';
import { DatePicker } from './DatePicker';
import { TypeRegistrar } from "igniteui-angular-core";
import * as i0 from "@angular/core";
export let IgxDatePickerModule = /*@__PURE__*/ (() => {
    class IgxDatePickerModule {
        constructor() {
            TypeRegistrar.registerCons('IgxDatePickerComponent', IgxDatePickerComponent);
            TypeRegistrar.register('DatePicker', DatePicker.$type);
        }
    }
    IgxDatePickerModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.17", ngImport: i0, type: IgxDatePickerModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    IgxDatePickerModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.2.17", ngImport: i0, type: IgxDatePickerModule, declarations: [IgxDatePickerComponent], imports: [CommonModule, IgxXCalendarModule,
            IgxXButtonModule,
            IgxXIconModule,
            IgxXInputGroupModule], exports: [IgxXCalendarModule,
            IgxXButtonModule,
            IgxXIconModule,
            IgxXInputGroupModule,
            IgxDatePickerComponent] });
    IgxDatePickerModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.2.17", ngImport: i0, type: IgxDatePickerModule, imports: [[CommonModule, IgxXCalendarModule,
                IgxXButtonModule,
                IgxXIconModule,
                IgxXInputGroupModule
            ], IgxXCalendarModule,
            IgxXButtonModule,
            IgxXIconModule,
            IgxXInputGroupModule] });
    return IgxDatePickerModule;
})();
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.17", ngImport: i0, type: IgxDatePickerModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [IgxDatePickerComponent],
                    exports: [IgxXCalendarModule,
                        IgxXButtonModule,
                        IgxXIconModule,
                        IgxXInputGroupModule,
                        IgxDatePickerComponent
                    ],
                    imports: [CommonModule, IgxXCalendarModule,
                        IgxXButtonModule,
                        IgxXIconModule,
                        IgxXInputGroupModule
                    ],
                    entryComponents: []
                }]
        }], ctorParameters: function () { return []; } });
